Hosting - recomendaciones para instalar?

   
Vista:

recomendaciones para instalar?

Publicado por martinklein (10 intervenciones) el 26/04/2013 18:57:14
Bueno he mandado un ticket para que me instalaran mod_security, mod_evasive y mod-deflate para más seguridad en mi vps y me an respondido esto:

* mod_security

We can install this module(integrated with cPanel) by recompiling Apache on your server. Usually this wont take more than 1 hour. Please let us know if we can recompile apache now.

* mod_evasive

mod_evasive is an evasive maneuvers module for Apache to provide evasive action in the event of an HTTP DoS or DDoS attack or brute force attack. But it's recommended to be enabled only at the time of attack. Because it may block legitimate connections too. Currently there is only few apache connections on your server and there is no need to install this module.

* mod_deflate

The mod_deflate module provides the DEFLATE output filter that allows output from your server to be compressed before being sent to the client over the network. So it will use more resources and hence can increase server load. Your VPS has only 256MB memory, so we wont recommend you to install this module unless you necessarily wants it.

Let us know how to proceed.

Les he dicho que solo me instalen mod_security pero que tengan cuidado que el apache ya esta recompilado para curl para que funcione whmcs, no se puede recompilar todo de una vez?
Valora esta pregunta
Me gusta: Está pregunta es útil y esta claraNo me gusta: Está pregunta no esta clara o no es útil
0
Responder

recomendaciones para instalar?

Publicado por webseeker (21 intervenciones) el 26/04/2013 18:59:25
Coincido con lo que te ha comentado tu proveedor, no tiene sentido instalar mod_evasive la verdad, es útil (hasta cierto punto) cuando estás bajo ataque, de lo contrario es cierto lo de que denega peticiones legítimas.

Mod_security es básico diría yo para la seguridad web/php, díles también que instalen una buena serie de reglas, de lo contrario mod_security sin reglas o con las básicas no es de mucha ayuda.

Apache se recompila todo de una vez sí, sólo diles que librerías adicionales tienen que estar activadas.

Saludos
Valora esta respuesta
Me gusta: Está respuesta es útil y esta claraNo me gusta: Está respuesta no esta clara o no es útil
0
Comentar

recomendaciones para instalar?

Publicado por martinklein (10 intervenciones) el 26/04/2013 19:00:19
Oks la verdad esque estoy muy conentento solo me cuesta 55 dolares mes que son 37 euros mes y dan un buen servicio, eso no se encuentra en cualquier lado.
Valora esta respuesta
Me gusta: Está respuesta es útil y esta claraNo me gusta: Está respuesta no esta clara o no es útil
0
Comentar

recomendaciones para instalar?

Publicado por cps (21 intervenciones) el 26/04/2013 19:01:39
he elegido un buen proveedor:

Hello Ferran,

We have now recompiled PHP on your server with the security module mod_security.
The PHP extension CURL and CURL-SSL are already installed on your server.

Please do verify it from your end.
===================
[root@host ~]# grep mod_sec /usr/local/apache/conf/httpd.conf
LoadModule security2_module modules/mod_security2.so

Son muy buenos y me lo hacen todo en menos de 1 hora.
Valora esta respuesta
Me gusta: Está respuesta es útil y esta claraNo me gusta: Está respuesta no esta clara o no es útil
0
Comentar

recomendaciones para instalar?

Publicado por webtech (22 intervenciones) el 26/04/2013 19:02:50
Es que recompilar apache no debería llevar más de 30 minutos, máximo, es un tiempo normal el que te brindan
Como te comenté antes, asegúrate de que tengas buenas reglas para mod_security, o será totalmente inútil tenerlo compilado en tu Apache.

Saludos,
Valora esta respuesta
Me gusta: Está respuesta es útil y esta claraNo me gusta: Está respuesta no esta clara o no es útil
0
Comentar

recomendaciones para instalar?

Publicado por agrivertical (21 intervenciones) el 26/04/2013 19:03:38
Desde cuando es necesario recompilar apache para instalar mod_security ? porque hasta ayer no lo era
Valora esta respuesta
Me gusta: Está respuesta es útil y esta claraNo me gusta: Está respuesta no esta clara o no es útil
0
Comentar

recomendaciones para instalar?

Publicado por freshex (13 intervenciones) el 26/04/2013 19:05:59
Alomejor le faltaria algún modulo a apache.

Lo mando a recompilar con todos los modulos? xD o lo hago yo?
Valora esta respuesta
Me gusta: Está respuesta es útil y esta claraNo me gusta: Está respuesta no esta clara o no es útil
0
Comentar

recomendaciones para instalar?

Publicado por agrivertical (21 intervenciones) el 26/04/2013 19:06:48
Si sabes hacerlo hazlo tu, si no no te metas, y si es un server en producción menos..
Valora esta respuesta
Me gusta: Está respuesta es útil y esta claraNo me gusta: Está respuesta no esta clara o no es útil
0
Comentar

recomendaciones para instalar?

Publicado por martinklein (10 intervenciones) el 26/04/2013 19:07:37
No esta en producción aun y aun no se recompilar apache, que les digo que me lo recompilen con todos los modulos actuales?

Estaran más hartos de mi ya xD.
Valora esta respuesta
Me gusta: Está respuesta es útil y esta claraNo me gusta: Está respuesta no esta clara o no es útil
0
Comentar

recomendaciones para instalar?

Publicado por megaton (21 intervenciones) el 26/04/2013 19:08:47
hola a todos...

Ferran... y asi como duda... quie es tu proveedor... es que estoy buscando un proveedor de VPS.... al momento me quedaba con jaguarpc....

saludos..
Valora esta respuesta
Me gusta: Está respuesta es útil y esta claraNo me gusta: Está respuesta no esta clara o no es útil
0
Comentar

recomendaciones para instalar?

Publicado por martinklein (10 intervenciones) el 26/04/2013 19:10:06
Hola estoy con towebs
Tengo el VPS , no hagas caso a los de california la red de texas el ancho de banda es premium.
Valora esta respuesta
Me gusta: Está respuesta es útil y esta claraNo me gusta: Está respuesta no esta clara o no es útil
0
Comentar

recomendaciones para instalar?

Publicado por cps (98 intervenciones) el 26/04/2013 19:11:18
Les he mandado un ticket diciendo todo esto:

I wanna that you help me. i have a problem: i've a sub-domain clientes and i wanna one thing, i want to change it to host.lnxnetworks.com and i don't know how do it.

How i commented before, i wanna be sure that you put the correct options in my mod_security.

I wanna that you recompile apache again with all modules and configure the php security.

Why do you need recompile so times? it isn't normal, linux, is a modular system and i need you tell me that info?

Conmigo tendran faena, si no que lo den todo mascado desde el principio.
Valora esta respuesta
Me gusta: Está respuesta es útil y esta claraNo me gusta: Está respuesta no esta clara o no es útil
0
Comentar

recomendaciones para instalar?

Publicado por webtech (22 intervenciones) el 26/04/2013 19:13:17
Es necesario recompilar Apache si vas a instalar Mod_Security desde WHM, sin embargo como bien comenta Fernando, no es necesario si lo vas a instalar a mano (lo recomendable) al igual que sus reglas. Depender de WHM para instalar módulos es bastante tedioso y hasta inncesario, pero es otra forma de hacerlo (se ve que la única que conocen los que administran el VPS de Ferran) totalmente aceptable.

Saludos,
Valora esta respuesta
Me gusta: Está respuesta es útil y esta claraNo me gusta: Está respuesta no esta clara o no es útil
0
Comentar

recomendaciones para instalar?

Publicado por agrivertical (21 intervenciones) el 26/04/2013 19:13:51
Ups, yo soy de la vieja escuela y además no uso cpañal

No sabía que con ese panel había que recompilar el apache para instalarlo, mod_security se suele tener como un módulo precompilado y con un script para instalarlo en el VPS con la configuración standar, no necesita mas que un par de copys y un par de líneas en el config del apache....
Valora esta respuesta
Me gusta: Está respuesta es útil y esta claraNo me gusta: Está respuesta no esta clara o no es útil
0
Comentar

recomendaciones para instalar?

Publicado por martinklein (22 intervenciones) el 26/04/2013 19:15:15
WebTech si es verdad me mandaron un mensaje que lo hacian desde WHM y yo podia configurar las reglas de seguridad desde modulos, que cutrada xD.
Valora esta respuesta
Me gusta: Está respuesta es útil y esta claraNo me gusta: Está respuesta no esta clara o no es útil
0
Comentar

recomendaciones para instalar?

Publicado por cps (21 intervenciones) el 26/04/2013 19:16:25
no le encuentro el atractivo a plesk y cada vez que veo uno odio más a ese panel.
Valora esta respuesta
Me gusta: Está respuesta es útil y esta claraNo me gusta: Está respuesta no esta clara o no es útil
0
Comentar

recomendaciones para instalar?

Publicado por julitgitano (30 intervenciones) el 18/05/2013 00:20:41
Concuerdo completamente! hay gente que lo compara con cpanel, para mi NO TIENE SENTIDO, antes que plesk me quedo con cualquiera de los paneles desarrollados por las empresas mismas, que aunquesea son intuitivos y te dan soporte copado si no entendes algo!
Valora esta respuesta
Me gusta: Está respuesta es útil y esta claraNo me gusta: Está respuesta no esta clara o no es útil
0
Comentar